Đến nội dung


Hình ảnh

Các Bác Giúp Em Bản Vẽ Này Với Ạ. Text Dim Bị Ngược Mặc Dù Em Đã Ucs/world


  • Please log in to reply
4 replies to this topic

#1 tcong1191

tcong1191

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 20 July 2016 - 03:28 PM

Em xin gửi bản vẽ. Nhờ các anh em giúp em sớm! Em xin cảm ơn!

 

 

http://www.cadviet.c...ref_tmb_pa1.dwg


  • 0

#2 hdb

hdb

    biết vẽ ellipse

  • Members
  • PipPip
  • 56 Bài viết
Điểm đánh giá: 9 (bình thường)

Đã gửi 20 July 2016 - 03:44 PM

Ông bạn cứ vào bấm đại đi là nó dc thui tui cũng bấm đại đi nó dc nè115974_untitled_2.jpg

 

115974_1_1.jpg


  • 0

#3 tcong1191

tcong1191

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 20 July 2016 - 03:50 PM

Cảm ơn bạn hdb đã trả lời. Mình cũng mò được đến đấy rồi!

 

Nhưng như thế thì so về bản chất thì dim vẫn bị sai! Và text chưa nằm trên đường dim được :)


  • 0

#4 ndtnv

ndtnv

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 437 Bài viết
Điểm đánh giá: 384 (khá)

Đã gửi 20 July 2016 - 05:23 PM

Em xin gửi bản vẽ. Nhờ các anh em giúp em sớm! Em xin cảm ơn!

 

 

http://www.cadviet.c...ref_tmb_pa1.dwg

Dùng lisp này:

(defun C:test ( / e i ss)
(setq ss (ssget '((0 . "DIMENSION"))) i 0)
(repeat (sslength ss)
(setq e (entget (ssname ss i)) i (1+ i))
(entmod (subst (cons 51 0) (assoc 51 e) e)) )
)

  • 1

#5 tcong1191

tcong1191

    biết vẽ circle

  • Members
  • PipPip
  • 37 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 22 July 2016 - 08:15 AM

cảm ơn bạn ndtnv. mình đã khắc phục được bằng Lisp bạn gửi. Mình rất muốn hiểu bản chất vấn đề của lỗi này, nếu được mong bạn chỉ giúp!


  • 0